=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 Test-Command: debian/tests/upstream-testsuite
 Features: test-name=upstream-testsuite-flaky
-Architecture: !amd64
+Architecture: !amd64 !s390x
 Depends:
  @,
  cmake,
